Debian Bug report logs - #496394
The possibility of attack with the help of symlinks in some Debian packages

version graph

Package: qemu; Maintainer for qemu is Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>; Source for qemu is src:qemu.

Reported by: "Dmitry E. Oboukhov" <dimka@uvw.ru>

Date: Sun, 24 Aug 2008 18:10:32 UTC

Severity: grave

Fixed in versions qemu/0.9.1-6, qemu/0.9.1+svn20080826-1, qemu/0.9.1+svn20080825-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#496394; Package qemu. Full text and rfc822 format available.

Acknowledgement sent to "Dmitry E. Oboukhov" <dimka@uvw.ru>:
New Bug report received and forwarded. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dmitry E. Oboukhov" <dimka@uvw.ru>
To: submit@bugs.debian.org
Cc: dimka@uvw.ru
Subject: The possibility of attack with the help of symlinks in some Debian packages
Date: Sun, 24 Aug 2008 22:05:29 +0400
Package: qemu
Severity: grave

Hi, maintainer!

This message about the error concerns a few packages  at  once.   I've
tested all the packages (for Lenny) on my Debian mirror.  All  scripts
of packages (marked as executable) were tested.

In some packages I've discovered scripts with errors which may be used
by a user for damaging important system files or user's files.

For example if a script uses in its work a temp file which is  created
in /tmp directory, then every user can create symlink  with  the  same
name in this directory in order to  destroy  or  rewrite  some  system
or user file.  Symlink attack may also  lead  not  only  to  the  data
desctruction but to denial of service as well.

Even if you create files or directories with help of function 'RANDOM'
or pid(), then your system is not protected. Attacker can create many
symlinks in order to destroy your data or create 'denial  of  service'
for your package scripts.

Even if you make rm(dir) for files/directories, then  your  system  is
not protected. Attacker can permanently create symlinks.

This list is created with the help of script.  This list is sorted  by
hand. Howewer in some cases mistake is possible.

Please, Be understanding to possible mistakes. :)

I set Severity into grave for this bug. The table of discovered
problems is below.

Discussion of this bug you can see in debian-devel@:
    http://lists.debian.org/debian-devel/2008/08/msg00271.html

Binary-package: r-base-core-ra (1.1.1-1)
    file: /usr/lib/Ra/lib/R/bin/javareconf
Binary-package: rccp (0.9-2)
    file: /usr/lib/rccp/delqueueask
Binary-package: mafft (6.240-1)
    file: /usr/bin/mafft-homologs
Binary-package: openoffice.org-common (1:2.4.1-6)
    file: /usr/lib/openoffice/program/senddoc
Binary-package: crossfire-maps (1.11.0-1)
    file: /usr/share/games/crossfire/maps/Info/combine.pl
Binary-package: sgml2x (1.0.0-11.1)
    file: /usr/bin/rlatex
Binary-package: liguidsoap (0.3.6-4)
    file: /var/lib/liguidsoap/liguidsoap.py
Binary-package: citadel-server (7.37-1)
    file: /usr/lib/citadel-server/migrate_aliases.sh
Binary-package: ampache (3.4.1-1)
    file: /usr/share/ampache/www/locale/base/gather-messages.sh
Binary-package: xen-utils-3.2-1 (3.2.1-2)
    file: /usr/lib/xen-3.2-1/bin/qemu-dm.debug
Binary-package: dtc-common (0.29.6-1)
    file: /usr/share/dtc/admin/accesslog.php
    file: /usr/share/dtc/admin/sa-wrapper
Binary-package: honeyd-common (1.5c-3)
    file: /usr/share/honeyd/scripts/test.sh
Binary-package: lustre-tests (1.6.5-1)
    file: /usr/lib/lustre/tests/runiozone
Binary-package: linuxtrade (3.65-8+b4)
    file: /usr/share/linuxtrade/bin/linuxtrade.bwkvol
    file: /usr/share/linuxtrade/bin/linuxtrade.wn
    file: /usr/share/linuxtrade/bin/moneyam.helper
Binary-package: freevo (1.8.1-0)
    file: /usr/bin/freevo.real
Binary-package: fml (4.0.3.dfsg-2)
    file: /usr/share/fml/libexec/mead.pl
Binary-package: rkhunter (1.3.2-3)
    file: /usr/bin/rkhunter
Binary-package: openswan (1:2.4.12+dfsg-1.1)
    file: /usr/lib/ipsec/livetest
Binary-package: linux-patch-openswan (1:2.4.12+dfsg-1.1)
    file: /usr/src/kernel-patches/all/openswan/packaging/utils/maysnap
    file: /usr/src/kernel-patches/all/openswan/packaging/utils/maytest
Binary-package: aptoncd (0.1-1.1)
    file: /usr/share/aptoncd/xmlfile.py
Binary-package: cdcontrol (1.90-1.1)
    file: /usr/lib/cdcontrol/writtercontrol
Binary-package: newsgate (1.6-23)
    file: /usr/bin/mkmailpost
Binary-package: gpsdrive-scripts (2.10~pre4-3)
    file: /usr/bin/geo-code
Binary-package: impose+ (0.2-11)
    file: /usr/bin/impose
Binary-package: mgt (2.31-5)
    file: /usr/games/mailgo
Binary-package: audiolink (0.05-1)
    file: /usr/bin/audiolink
Binary-package: ibackup (2.27-4.1)
    file: /usr/bin/ibackup
Binary-package: emacspeak (26.0-3)
    file: /usr/share/emacs/site-lisp/emacspeak/etc/extract-table.pl
Binary-package: bk2site (1:1.1.9-3.1)
    file: /usr/lib/cgi-bin/bk2site/redirect.pl
Binary-package: datafreedom-perl (0.1.7-1)
    file: /usr/bin/dfxml-invoice
Binary-package: emacs-jabber (0.7.91-1)
    file: /usr/lib/emacsen-common/packages/install/emacs-jabber
Binary-package: lmbench (3.0-a7-1)
    file: /usr/lib/lmbench/scripts/rccs
    file: /usr/lib/lmbench/scripts/STUFF
Binary-package: rancid-util (2.3.2~a8-1)
    file: /var/lib/rancid/getipacctg
Binary-package: ogle (0.9.2-5.2)
    file: /usr/lib/ogle/ogle_audio_debug
    file: /usr/lib/ogle/ogle_cli_debug
    file: /usr/lib/ogle/ogle_ctrl_debug
    file: /usr/lib/ogle/ogle_gui_debug
    file: /usr/lib/ogle/ogle_mpeg_ps_debug
    file: /usr/lib/ogle/ogle_mpeg_vs_debug
    file: /usr/lib/ogle/ogle_nav_debug
    file: /usr/lib/ogle/ogle_vout_debug
Binary-package: firehol (1.256-4)
    file: /sbin/firehol
Binary-package: aview (1.3.0rc1-8)
    file: /usr/bin/asciiview
Binary-package: radiance (3R9+20080530-3)
    file: /usr/bin/optics2rad
    file: /usr/bin/pdelta
    file: /usr/bin/dayfact
    file: /usr/bin/raddepend
Binary-package: vdr-dbg (1.6.0-5)
    file: /usr/bin/vdrleaktest
Binary-package: ogle-mmx (0.9.2-5.2)
    file: /usr/lib/ogle/ogle_audio_debug
    file: /usr/lib/ogle/ogle_cli_debug
    file: /usr/lib/ogle/ogle_ctrl_debug
    file: /usr/lib/ogle/ogle_gui_debug
    file: /usr/lib/ogle/ogle_mpeg_ps_debug
    file: /usr/lib/ogle/ogle_mpeg_vs_debug
    file: /usr/lib/ogle/ogle_nav_debug
    file: /usr/lib/ogle/ogle_vout_debug
Binary-package: convirt (0.8.2-3)
    file: /usr/share/convirt/image_store/_template_/provision.sh
    file: /usr/share/convirt/image_store/Linux_CD_Install/provision.sh
    file: /usr/share/convirt/image_store/Fedora_PV_Install/provision.sh
    file: /usr/share/convirt/image_store/CentOS_PV_Install/provision.sh
    file: /usr/share/convirt/image_store/common/provision.sh
    file: /usr/share/convirt/image_store/example/provision.sh
    file: /usr/share/convirt/image_store/Windows_CD_Install/provision.sh
Binary-package: printfilters-ppd (2.13-9)
    file: /usr/lib/printfilters/master-filter
Binary-package: r-base-core (2.7.1-1)
    file: /usr/lib/R/bin/javareconf
    file: /usr/lib/R/bin/javareconf.orig
Binary-package: xmcd (2.6-19.3)
    file: /usr/share/xmcd/scripts/ncsarmt
    file: /usr/share/xmcd/scripts/ncsawrap
Binary-package: tiger (1:3.2.2-3.1)
    file: /usr/lib/tiger/util/genmsgidx
Binary-package: scilab-bin (4.1.2-5)
    file: /usr/lib/scilab-4.1.2/bin/scilink
    file: /usr/lib/scilab-4.1.2/util/scidoc
    file: /usr/lib/scilab-4.1.2/util/scidem
Binary-package: dpkg-cross (2.3.0)
    file: /usr/share/dpkg-cross/bin/gccross
Binary-package: ltp-network-test (20060918-2.1)
    file: /usr/lib/debian-test/tests/linux/testcases/bin/ftp_setup_vsftp_conf
    file: /usr/lib/debian-test/tests/linux/testcases/bin/nfs_fsstress.sh
Binary-package: cman (2.20080629-1)
    file: /usr/sbin/fence_egenera
Binary-package: scratchbox2 (1.99.0.24-1)
    file: /usr/share/scratchbox2/scripts/dpkg-checkbuilddeps
    file: /usr/share/scratchbox2/scripts/sb2-check-pkg-mappings
Binary-package: sendmail-base (8.14.3-5)
    file: /usr/sbin/checksendmail
    file: /usr/bin/expn
Binary-package: fwbuilder (2.1.19-3)
    file: /usr/bin/fwb_install
Binary-package: sng (1.0.2-5)
    file: /usr/bin/sng_regress
Binary-package: dist (1:3.5-17-1)
    file: /usr/bin/patcil
    file: /usr/bin/patdiff
Binary-package: sympa (5.3.4-5)
    file: /usr/lib/cgi-bin/sympa/wwsympa.fcgi
    file: /usr/lib/sympa/bin/sympa.pl
Binary-package: postfix (2.5.2-2)
    file: /usr/lib/postfix_groups.pl
Binary-package: caudium (3:1.4.12-11)
    file: /usr/share/caudium/configvar
Binary-package: mgetty-fax (1.1.36-1.2)
    file: /usr/bin/faxspool
Binary-package: aegis (4.24-3)
    file: /usr/share/doc/aegis/examples/remind/bng_dvlpd.sh
    file: /usr/share/doc/aegis/examples/remind/bng_rvwd.sh
    file: /usr/share/doc/aegis/examples/remind/awt_dvlp.sh
    file: /usr/share/doc/aegis/examples/remind/awt_intgrtn.sh
Binary-package: aegis-web (4.24-3)
    file: /usr/lib/cgi-bin/aegis.cgi
Binary-package: digitaldj (0.7.5-6+b1)
    file: /usr/share/digitaldj/fest.pl
Binary-package: mon (0.99.2-12)
    file: /usr/lib/mon/alert.d/test.alert
Binary-package: feta (1.4.16)
    file: /usr/share/feta/plugins/to-upgrade
Binary-package: arb-common (0.0.20071207.1-4)
    file: /usr/lib/arb/SH/arb_fastdnaml
    file: /usr/lib/arb/SH/dszmconnect.pl
Binary-package: qemu (0.9.1-5)
    file: /usr/sbin/qemu-make-debian-root
Binary-package: apertium (3.0.7+1-1+b1)
    file: /usr/bin/apertium-gen-deformat
    file: /usr/bin/apertium-gen-reformat
    file: /usr/bin/apertium
Binary-package: xcal (4.1-18.3)
    file: /usr/bin/pscal
Binary-package: myspell-tools (1:3.1-20)
    file: /usr/bin/i2myspell
Binary-package: gccxml (0.9.0+cvs20080525-1)
    file: /usr/share/gccxml-0.9/MIPSpro/find_flags
Binary-package: freeradius-dialupadmin (2.0.4+dfsg-4)
    file: /usr/share/freeradius-dialupadmin/bin/backup_radacct
    file: /usr/share/freeradius-dialupadmin/bin/clean_radacct
    file: /usr/share/freeradius-dialupadmin/bin/monthly_tot_stats
    file: /usr/share/freeradius-dialupadmin/bin/tot_stats
    file: /usr/share/freeradius-dialupadmin/bin/truncate_radacct
Binary-package: dhis-server (5.3-1)
    file: /usr/lib/dhis-server/dhis-dummy-log-engine
Binary-package: wims (3.62-13)
    file: /var/lib/wims/public_html/bin/coqweb
    file: /var/lib/wims/bin/account.sh
Binary-package: initramfs-tools (0.92f)
    file: /usr/share/initramfs-tools/init
Binary-package: realtimebattle-common (1.0.8-7)
    file: /usr/lib/realtimebattle/Robots/perl.robot
Binary-package: netmrg (0.20-1)
    file: /usr/bin/rrdedit
Binary-package: bulmages-servers (0.11.1-2)
    file: /usr/share/bulmages/examples/scripts/actualizabulmacont
    file: /usr/share/bulmages/examples/scripts/installbulmages-db
    file: /usr/share/bulmages/examples/scripts/creabulmafact
    file: /usr/share/bulmages/examples/scripts/creabulmacont
    file: /usr/share/bulmages/examples/scripts/actualizabulmafact
Binary-package: xastir (1.9.2-1)
    file: /usr/lib/xastir/get-maptools.sh
    file: /usr/lib/xastir/get_shapelib.sh
Binary-package: plait (1.5.2-1)
    file: /usr/bin/plaiter
    file: /usr/bin/plait
Binary-package: cdrw-taper (0.4-2)
    file: /usr/sbin/amlabel-cdrw
Binary-package: konwert-filters (1.8-11.1)
    file: /usr/share/konwert/filters/any-UTF8
Binary-package: gdrae (0.1-1)
    file: /usr/bin/gdrae
Binary-package: lazarus-src (0.9.24-0-9)
    file: /usr/lib/lazarus/tools/install/create_lazarus_export_tgz.sh




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Dmitry E. Oboukhov" <dimka@uvw.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 496394-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 496394-close@bugs.debian.org
Subject: Bug#496394: fixed in qemu 0.9.1-6
Date: Mon, 25 Aug 2008 07:32:05 +0000
Source: qemu
Source-Version: 0.9.1-6

We believe that the bug you reported is fixed in the latest version of
qemu, which is due to be installed in the Debian FTP archive:

qemu_0.9.1-6.diff.gz
  to pool/main/q/qemu/qemu_0.9.1-6.diff.gz
qemu_0.9.1-6.dsc
  to pool/main/q/qemu/qemu_0.9.1-6.dsc
qemu_0.9.1-6_amd64.deb
  to pool/main/q/qemu/qemu_0.9.1-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 496394@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated qemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Aug 2008 04:38:35 +0200
Source: qemu
Binary: qemu
Architecture: source amd64
Version: 0.9.1-6
Distribution: unstable
Urgency: high
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 qemu       - fast processor emulator
Closes: 488339 496394
Changes: 
 qemu (0.9.1-6) unstable; urgency=high
 .
   [ Aurelien Jarno ]
   * debian/control:
     - Update list of supported targets (Closes: bug#488339).
   * debian/qemu-make-debian-root:
     - Use mktemp instead of $$ to create temporary directories (Closes:
       bug#496394).
   * debian/links:
     - Add missing links to manpages.
Checksums-Sha1: 
 57d01eae5b3f500e704eff67066a8bca12567717 1602 qemu_0.9.1-6.dsc
 73eb866971ab32c8ce7b334f583162e1b28d4169 82541 qemu_0.9.1-6.diff.gz
 454e30bcfcf406ddd48f1cda4824cd9ed1d2940c 11010310 qemu_0.9.1-6_amd64.deb
Checksums-Sha256: 
 2acdeb693d717131fb4da64bd2a895048638e02a9c3c924cabad8efdd99e39cf 1602 qemu_0.9.1-6.dsc
 953fd35bf153233e5b408df65dca48adf13b31f25de768b5ce26ebf92bcae31c 82541 qemu_0.9.1-6.diff.gz
 096d34f89644a0e2f29c5b97cffac356d277381630aaac8f0e3b262966fb4986 11010310 qemu_0.9.1-6_amd64.deb
Files: 
 75f5e8246663e24cfcd556f1b9da2ebb 1602 misc optional qemu_0.9.1-6.dsc
 5e49f9e9b1c2ecb473145f1715d3ea68 82541 misc optional qemu_0.9.1-6.diff.gz
 dc91054de34747e5c1a9f600138f2c99 11010310 misc optional qemu_0.9.1-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIslz7w3ao2vG823MRAjD8AKCOz3QUKlbesqK7sT+LPk5kcO1+gwCeO8yO
bDls0wMZkpN8UfHJuMxBuBM=
=k52d
-----END PGP SIGNATURE-----





Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Aug 2008 20:06:02 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Dmitry E. Oboukhov" <dimka@uvw.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 496394-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 496394-close@bugs.debian.org
Subject: Bug#496394: fixed in qemu 0.9.1+svn20080826-1
Date: Sun, 31 Aug 2008 22:26:25 +0000
Source: qemu
Source-Version: 0.9.1+svn20080826-1

We believe that the bug you reported is fixed in the latest version of
qemu, which is due to be installed in the Debian FTP archive:

libqemu-dev_0.9.1+svn20080826-1_amd64.deb
  to pool/main/q/qemu/libqemu-dev_0.9.1+svn20080826-1_amd64.deb
qemu_0.9.1+svn20080826-1.diff.gz
  to pool/main/q/qemu/qemu_0.9.1+svn20080826-1.diff.gz
qemu_0.9.1+svn20080826-1.dsc
  to pool/main/q/qemu/qemu_0.9.1+svn20080826-1.dsc
qemu_0.9.1+svn20080826-1_amd64.deb
  to pool/main/q/qemu/qemu_0.9.1+svn20080826-1_amd64.deb
qemu_0.9.1+svn20080826.orig.tar.gz
  to pool/main/q/qemu/qemu_0.9.1+svn20080826.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 496394@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated qemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 Aug 2008 09:55:36 +0200
Source: qemu
Binary: qemu libqemu-dev
Architecture: source amd64
Version: 0.9.1+svn20080826-1
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libqemu-dev - static libraries and headers for QEMU
 qemu       - fast processor emulator
Closes: 451618 496394
Changes: 
 qemu (0.9.1+svn20080826-1) experimental; urgency=low
 .
   * New upstream snapshot.
   * debian/qemu-make-debian-root:
     - Use mktemp instead of $$ to create temporary directories (Closes:
       bug#496394).
   * Ship a libqemu-dev package (Closes: bug#451618).
Checksums-Sha1: 
 838f111a49057237f09c0581f09df415257db5e3 1799 qemu_0.9.1+svn20080826-1.dsc
 e23b009d283af28a8013f7f2cce9449b16ee13a1 2793977 qemu_0.9.1+svn20080826.orig.tar.gz
 7f7eb43d09c684735ad0f5aba301672a0b9df6a8 35994 qemu_0.9.1+svn20080826-1.diff.gz
 a3bc41814cf57ad2d19ed7213b1b14016b4f3ff1 13475298 qemu_0.9.1+svn20080826-1_amd64.deb
 0a0bd686702800062f7a785d37353808756ed307 4859056 libqemu-dev_0.9.1+svn20080826-1_amd64.deb
Checksums-Sha256: 
 dace8efa220f14923a4cf4b84152a9c7312bd48426fe9e33c740be79a5c294aa 1799 qemu_0.9.1+svn20080826-1.dsc
 7f1fac48c93ae7062bba6a4dce172cb45e52b23d5aff3ddc0a73ad85ed28bf32 2793977 qemu_0.9.1+svn20080826.orig.tar.gz
 eb17a66f44cf4375ddb9f5127374ff14d4836131880236ec7dfe8ef67d47afda 35994 qemu_0.9.1+svn20080826-1.diff.gz
 37984ef11d5ae7fb8693c8f91e67d6da317f0f667d1b31f16f068ddadf47efd2 13475298 qemu_0.9.1+svn20080826-1_amd64.deb
 c03a3fa16cd242a65e9918742d41e90b28ac7be3725892021a22701061a57b3e 4859056 libqemu-dev_0.9.1+svn20080826-1_amd64.deb
Files: 
 df73808753a6c1062eb7d3d13bb82854 1799 misc optional qemu_0.9.1+svn20080826-1.dsc
 2d6090cc18228b1c64b295af6965746a 2793977 misc optional qemu_0.9.1+svn20080826.orig.tar.gz
 b08fe68895c08c2469a107d287975031 35994 misc optional qemu_0.9.1+svn20080826-1.diff.gz
 5c7e0bb5d13934e63f321c0117a1cece 13475298 misc optional qemu_0.9.1+svn20080826-1_amd64.deb
 a25959f4d8188d6b2f71d9fee84b7fac 4859056 libdevel optional libqemu-dev_0.9.1+svn20080826-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIs9B3w3ao2vG823MRAn56AJ9j3lh8IgRQECnGxed77JTMiKu04wCeK+Zt
EX1ArbSFJRtCW8aQ24Jml9o=
=z20y
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Dmitry E. Oboukhov" <dimka@uvw.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 496394-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 496394-close@bugs.debian.org
Subject: Bug#496394: fixed in qemu 0.9.1+svn20080825-1
Date: Sun, 31 Aug 2008 22:26:27 +0000
Source: qemu
Source-Version: 0.9.1+svn20080825-1

We believe that the bug you reported is fixed in the latest version of
qemu, which is due to be installed in the Debian FTP archive:

libqemu-dev_0.9.1+svn20080825-1_amd64.deb
  to pool/main/q/qemu/libqemu-dev_0.9.1+svn20080825-1_amd64.deb
qemu_0.9.1+svn20080825-1.diff.gz
  to pool/main/q/qemu/qemu_0.9.1+svn20080825-1.diff.gz
qemu_0.9.1+svn20080825-1.dsc
  to pool/main/q/qemu/qemu_0.9.1+svn20080825-1.dsc
qemu_0.9.1+svn20080825-1_amd64.deb
  to pool/main/q/qemu/qemu_0.9.1+svn20080825-1_amd64.deb
qemu_0.9.1+svn20080825.orig.tar.gz
  to pool/main/q/qemu/qemu_0.9.1+svn20080825.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 496394@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated qemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Aug 2008 08:10:50 +0200
Source: qemu
Binary: qemu libqemu-dev
Architecture: source amd64
Version: 0.9.1+svn20080825-1
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libqemu-dev - fast processor emulator
 qemu       - fast processor emulator
Closes: 451618 496394
Changes: 
 qemu (0.9.1+svn20080825-1) experimental; urgency=low
 .
   * New upstream snapshot.
   * debian/qemu-make-debian-root:
     - Use mktemp instead of $$ to create temporary directories (Closes:
       bug#496394).
   * Ship a libqemu-dev package (Closes: bug#451618).
Checksums-Sha1: 
 68178cd1940133368f9db9bd1d9088ecb845ca4f 1799 qemu_0.9.1+svn20080825-1.dsc
 b4f8fe828b986089b4652626bf7afbeebc8bcbb5 3253462 qemu_0.9.1+svn20080825.orig.tar.gz
 e1f0011717e2bb3a7377aeeb66c28d3e3eb3c60b 35942 qemu_0.9.1+svn20080825-1.diff.gz
 c3f28780be30d8ff18ce1629f29280b4ff23777f 13475030 qemu_0.9.1+svn20080825-1_amd64.deb
 b75ef7901825fa05bfc46f1829d925c16351e004 4859110 libqemu-dev_0.9.1+svn20080825-1_amd64.deb
Checksums-Sha256: 
 674c0f22368223dbc886cc7286a620a3d016cee5da68f0235998508821b8640f 1799 qemu_0.9.1+svn20080825-1.dsc
 0e49927b9ff3e5538bca6595445b1790df8cd8111b4e48f01721e802deca9625 3253462 qemu_0.9.1+svn20080825.orig.tar.gz
 16b3a0d5ce7129d0a1ba6d4e74115664bbf92ce08cf79b2985a7388210fba975 35942 qemu_0.9.1+svn20080825-1.diff.gz
 2d54fe4c3ddc8fbc9b01582081861a47b3fd1f10c47d92fa5fe4b088f74f579a 13475030 qemu_0.9.1+svn20080825-1_amd64.deb
 1134b0d654a71269bbbd4e04ea29cdefa9ec98fd260c28f4fb9f76847a74901a 4859110 libqemu-dev_0.9.1+svn20080825-1_amd64.deb
Files: 
 b32712a870d716600a730d55599087e2 1799 misc optional qemu_0.9.1+svn20080825-1.dsc
 cad704f7f28efc45a39208f2bc64290c 3253462 misc optional qemu_0.9.1+svn20080825.orig.tar.gz
 24e7435d474e5092621eeafeddebfd9c 35942 misc optional qemu_0.9.1+svn20080825-1.diff.gz
 c09fdb38a1014c00b2aa1594d929a191 13475030 misc optional qemu_0.9.1+svn20080825-1_amd64.deb
 2bcdcc7cf1ebf7a1e82ced86f04df49b 4859110 libdevel optional libqemu-dev_0.9.1+svn20080825-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIst+ew3ao2vG823MRAmXfAJ98d9jxq6qH2tplIRkoc2LIB4F9pACeOtrZ
HfJmWiBFRXDfg+ihnLAJuiU=
=5zMS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Sep 2008 07:36:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:37:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.